export function getErrorsForPointer(pointer, errorReport) {
    if (!errorReport) {
        return [];
    }
    return errorReport.filter(function (x) { return x.pointer && x.pointer === pointer; });
}
export function getErrorMessage(schema, error, registry) {
    if (registry && error.data) {
        var keyword = error.data.keyword;
        if (keyword && registry.errorMessages[keyword]) {
            return registry.errorMessages[keyword](schema, error);
        }
    }
    return error.message;
}
export function getErrorMessages(schema, errors, registry) {
    return errors.map(function (x) { return getErrorMessage(schema, x, registry); });
}
