import { ComponentType } from "react";
import { EditorFieldProps } from "../EditorField";
import { ErrorReport } from "dc-extensions-sdk";
export declare type EditorFieldProvider = (schema: any) => ComponentType<EditorFieldProps> | undefined;
export declare type EditorErrorMessageConverter = (schema: any, error: ErrorReport) => string;
export interface EditorRegistry {
    fieldProviders: EditorFieldProvider[];
    errorMessages: {
        [keyword: string]: EditorErrorMessageConverter;
    };
}
export declare function forType(type: string, component: ComponentType<EditorFieldProps>): EditorFieldProvider;
export declare function forExtensionName(name: string, component: ComponentType<EditorFieldProps>): EditorFieldProvider;
export declare function forBuiltInSchema(builtInSchemas: string[], component: ComponentType<EditorFieldProps>): EditorFieldProvider;
export declare function getComponentForSchema(schema: any, registry: EditorRegistry | undefined): ComponentType<EditorFieldProps> | undefined;
export declare function getDefaultRegistry(): EditorRegistry;
export declare function getDefaultErrorMessages(): {
    [keyword: string]: EditorErrorMessageConverter;
};
