export function detokenize(template, variables, tokenPrefix, tokenSuffix) {
    if (tokenPrefix === void 0) { tokenPrefix = "{{"; }
    if (tokenSuffix === void 0) { tokenSuffix = "}}"; }
    if (!template) {
        throw new Error("No template to detokenize");
    }
    for (var _i = 0, _a = Object.keys(variables); _i < _a.length; _i++) {
        var variableName = _a[_i];
        var variableValue = variables[variableName];
        if (!variableValue) {
            continue;
        }
        var replaceRegex = new RegExp("" + tokenPrefix + variableName + tokenSuffix, "g");
        template = template.replace(replaceRegex, encodeURIComponent(variableValue));
    }
    return template;
}
